GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
gtk/gtkdatabox_offset_bars.c File Reference
`#include <gtkdatabox_offset_bars.h>`
Include dependency graph for gtkdatabox_offset_bars.c:

## Data Structures
struct | _GtkDataboxOffsetBarsPrivate
## Functions
GType | gtk_databox_offset_bars_get_type (void)
GtkDataboxGraph * | gtk_databox_offset_bars_new (guint len, gfloat *X, gfloat *Y1, gfloat *Y2, GdkColor *color, guint size)

## Function Documentation

GType gtk_databox_offset_bars_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_offset_bars_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y1,
|  | gfloat * | Y2,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_offset_bars_new: : length of , and : array of horizontal position values of markers : array of starting vertical position values of markers : array of ending vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxOffsetBars object which can be added to a GtkDatabox widget

Return value: A new GtkDataboxOffsetBars object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines